package com.ichaoj.ams.script;


import com.ichaoj.ams.script.model.AirdropParam;
import com.ichaoj.ams.script.model.AirdropWallet;

import java.util.List;
import java.util.Map;

/**
 * 脚本接口
 *
 * @author wren
 */
public abstract class IScript {


    /**
     * 运行脚本
     *
     * @param params 参数
     * @return txId
     */
    public abstract String run(Map<String, AirdropParam> params, AirdropWallet airdropWallet);

}
